: Echos ausschalten :
@echo off

: Herunterladen der .pbf :
wget.exe -N "http://download.geofabrik.de/europe/andorra-latest.osm.pbf"

: konvertieren der .pbf zu .o5m :
osmconvert64 andorra-latest.osm.pbf --out-o5m > andorra-latest.osm.o5m

: timestamp als TXT ausgeben :
osmconvert64 andorra-latest.osm.pbf --out-timestamp > andorra-latest.timestamp.txt

: Ausschneiden eines Rechtseckes :
osmconvert64 andorra-latest.osm.o5m -b=1.48,42.48,1.56,42.53 --out-o5m > Andorra_la_Vella_rechteck.o5m

: Ausschneiden eines Polygons :
osmconvert64 andorra-latest.osm.o5m -B=Andorra_la_Vella.poly --out-o5m > Andorra_la_Vella_poly.o5m

: filtern der Daten per Parameterdatei :
osmfilter Andorra_la_Vella_rechteck.o5m --parameter-file=Parameter_POI_Camping.txt > Camping_rechteck.osm

: filtern der Daten per Parameterdatei :
osmfilter Andorra_la_Vella_poly.o5m --parameter-file=Parameter_POI_Camping.txt > Camping_polygon.osm

: filtern der Daten per Parameterdatei :
osmfilter andorra-latest.osm.o5m --parameter-file=Parameter_POI_Camping.txt > Camping.osm

: export der gefilterten Daten als .csv :
osmconvert64 Camping.osm --all-to-nodes --csv="@id @lon @lat name amenity tourism" --csv-headline >  Camping_all2node.csv

: Entfernen der Wege und Relationen in der gefilterten .osm :
osmconvert64 Camping.osm --all-to-nodes --out-osm > Camping_all2nodes.osm

@echo.
@echo ###################################################
@echo    Die Camping_polygon.osm enthlt keine Daten
@echo  da keine Ergebnisse im Stadgebiet vorhanden sind!
@echo ###################################################
@echo.

: Damit das Fenster sich nicht automatisch nach Beendigung schliet :
pause
